Update Network

patch https://app.mk.io/api/v1/projects/:project_name/infra/networks/:name

Update a network. To learn more about networks, read Network Concept..

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
name string Required

Request

This endpoint expects an object.

metadataobjectDefaultPatchMetadataOptional
Resource metadata.
Show 2 propertiesHide 2 properties
displayNamestringOptional1-255 characters
A human-readable name for the resource.
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.
Show value schemaHide value schema
[any key]string
specobjectEmptyObjectSchemaOptional
Network specification.

Response

200 The updated network
kindstringRequired
The kind of record.
metadataobjectMetadataSchemaRequired
Network metadata.
Show 10 propertiesHide 10 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectNetworkBodySpecRequired
Network specification.
statusobjectNetworkBodyStatusRequired
Network status.
Show 2 propertiesHide 2 properties
ownerenumRequired
Indicates whether the network was automatically created by the system. System owned networks cannot be deleted, but they can be modified. To learn more, read System owned networks.
Allowed values:UserSystem
scopeenumRequired
Indicates whether the network is a local network within a site. Local networks are always system owned and therefore cannot be deleted, however they can be modified.
Allowed values:ConnectingLocal

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code